Index: say.conf.sample
===================================================================
--- say.conf.sample	(revision 271832)
+++ say.conf.sample	(working copy)
@@ -230,3 +230,40 @@
     _pho[n]e:XXXX => num:${SAY:0:2}, num:${SAY:2:2}
     _pho[n]e:0[1-9]XXXXXXXX => num:${SAY:0:1}, num:${SAY:1:1}, num:${SAY:2:2}, num:${SAY:4:2}, num:${SAY:6:2}, num:${SAY:8:2}
     _pho[n]e:. => digit:${SAY}
+
+[es](date-base,digit-base)
+    _[n]um:0. => num:${SAY:1}
+    _[n]um:X => digits/${SAY}
+    _[n]um:1X => digits/${SAY}
+    _[n]um:[2-9]0 => digits/${SAY}
+    _[n]um:2[1-9] => digits/20-and, digits/${SAY:1}
+    _[n]um:[3-9][1-9] =>  digits/${SAY:0:1}0, vm-and, digits/${SAY:1}
+    _[n]um:100 => digits/hundred
+    _[n]um:1XX => digits/100-and, num:${SAY:1}
+    _[n]um:[2-9]00 => digits/${SAY}
+    _[n]um:[2-9]XX => digits/${SAY:0:1}00, num:${SAY:1}
+
+    _[n]um:1000 => digits/thousand
+    _[n]um:1XXX => digits/thousand, num:${SAY:1}
+    _[n]um:[2-9]000 => num:${SAY:0:1}, digits/thousand
+    _[n]um:[2-9]XXX => num:${SAY:0:1}, digits/thousand, num:${SAY:1}
+    _[n]um:XX000 => num:${SAY:0:2}, digits/thousand
+    _[n]um:XXXXX => num:${SAY:0:2}, digits/thousand, num:${SAY:2}
+    _[n]um:XXX000 => num:${SAY:0:3}, digits/thousand
+    _[n]um:XXXXXX => num:${SAY:0:3}, digits/thousand, num:${SAY:3}
+
+    _[n]um:1000000 => digits/1M, digits/million
+    _[n]um:1XXXXXX => digits/1M, digits/million, num:${SAY:1}
+    _[n]um:[2-9]000000 => num:${SAY:0:1}, digits/millions
+    _[n]um:[2-9]XXXXXX => num:${SAY:0:1}, digits/millions, num:${SAY:1}
+    _[n]um:XX000000 => num:${SAY:0:2}, digits/millions
+    _[n]um:XXXXXXXX => num:${SAY:0:2}, digits/millions, num:${SAY:2}
+    _[n]um:XXX000000 => num:${SAY:0:3}, digits/millions
+    _[n]um:XXXXXXXXX => num:${SAY:0:3}, digits/millions, num:${SAY:3}
+    _[n]um:XXXX000000 => num:${SAY:0:4}, digits/millions
+    _[n]um:XXXXXXXXXX => num:${SAY:0:4}, digits/millions, num:${SAY:4}
+
+    _datetime::. => date:Ad 'letters/d' B 'letters/d' Y 'digits/at' HMp:${SAY}
+    _date::. => date:Ad 'letters/d' B 'letters/d' Y:${SAY}
+    _time::. => date:HMp:${SAY}
+
